#!/bin/sh

# Clone or update mercurial Linux kernel repository from kernel.org

if [ -z "$LNXDIR" ]
then
  echo set LNXDIR
  exit 1
fi

if [ ! -d "$LNXDIR" ]
then
  echo "Clone Linux kernel repository from kernel.org"

  mkdir -p "$LNXDIR"/hg &&
  cd "$LNXDIR"/hg &&
  hg clone http://kernel.org/hg/linux-2.6 hg
else
  # Update kernel mercurial repository.
  cd "$LNXDIR"/hg &&
  echo "Update Linux kernel from kernel.org"

  hg pull -u
fi

[ $? -ne 0 ] && exit 1
